Bug 1553807 - The basic installation of Fedora 28 Workstation does not have gnome-software installed.
Summary: The basic installation of Fedora 28 Workstation does not have gnome-software ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: comps
Version: 28
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Stephen Gallagher
QA Contact:
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: F28BetaBlocker
TreeView+ depends on / blocked
 
Reported: 2018-03-09 15:10 UTC by Lukas Ruzicka
Modified: 2018-03-20 04:41 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-12 12:04:25 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1552910 None None None Never

Internal Links: 1552910

Description Lukas Ruzicka 2018-03-09 15:10:33 UTC
Description: 

The Fedora Workstation was missing the 'gnome-software' package in the default installation which prevents users from handling packages in GUI.
I tested the latest builds (see below) and they both were missing the package.

Fedora Workstation was installed from the following build:
* https://kojipkgs.fedoraproject.org/compose/branched/Fedora-28-20180302.n.0/compose/Everything/x86_64/iso/Fedora-Everything-netinst-x86_64-28-20180302.n.0.iso

The Live version used to check was run from this build: 
* https://kojipkgs.fedoraproject.org/compose/branched/Fedora-28-20180302.n.0/compose/Workstation/x86_64/iso/Fedora-Workstation-Live-x86_64-28-20180302.n.0.iso

Packages to be added: 

gnome-software should be installed by default

Comment 1 Fedora Blocker Bugs Application 2018-03-09 15:13:39 UTC
Proposed as a Blocker for 28-beta by Fedora user lruzicka using the blocker tracking app because:

 The gnome-software package is considered a core application (according to https://fedoraproject.org/wiki/Workstation/Technical_Specification#Core_Applications). Core applications must be installed on the fresh system by default.

Comment 2 Geoffrey Marr 2018-03-09 17:31:32 UTC
Seeing this on Fedora-Workstation-netinst-x86_64-28-20180308 still. 'gnome-software' must be installed manually.

+1 blocker

Comment 3 Adam Williamson 2018-03-09 18:06:13 UTC
This is the result of some dependency issue or other; it is *supposed* to be pulled in, but gets dropped from the transaction. Unfortunately, anaconda/dnf do not log anything when this happens:

https://bugzilla.redhat.com/show_bug.cgi?id=1427365

so it can be tricky to figure out why.

I'd rather wait till we have another successful F28 compose and see if it's still the case than dive into this too deeply at this point. Network installs are still using the 20180302.n.0 package set since that's what's on the official repos, as there has not been a successful compose since.

Comment 4 Kalev Lember 2018-03-09 20:18:41 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=1552910 could be the dependency issue that causes gnome-software to be dropped.

Comment 5 Adam Williamson 2018-03-10 01:23:30 UTC
Sounds plausible to me, yep. +1 blocker, anyway. That's +3, setting accepted.

Comment 6 Fedora Update System 2018-03-10 01:30:12 UTC
shim-signed-13-4 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9877df9844

Comment 8 Lukas Ruzicka 2018-03-12 12:04:25 UTC
I think we can close the bug now, so it is no longer an issue nor a blocker.

Comment 9 Fedora Update System 2018-03-20 04:41:34 UTC
shim-signed-13-4 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.